Multiple client instances
Status: New Start date: 2015-05-16
Priority: Normal % Done: 0%
Assignee: skyjake

Category: Enhancement

Target version: Multiplayer

Description

With Snowberry gone, it is feasible to add support for running multiple client instances. When the client is starting, it should check if
there already are running instances, and if so, automatically select a new userdir for the new instance.

If the first instance uses, e.g., "~/.doomsday/runtime", the second one could just add a running number: "~/.doomsday/runtime2".

Related issues:

Related to Bug #2055: [MP] Multiple instances can't connect to a local server New 2015-05-16
Related to Bug #1980: Client should refuse to use the same userdir as another... New 2015-02-16
History

#1 - 2015-05-16 15:34 - skyjake

- Related to Bug #2055: [MP] Multiple instances can't connect to a local server added

#2 - 2015-05-16 15:35 - skyjake

- Related to Bug #1980: Client should refuse to use the same userdir as another already running client added

#3 - 2015-11-03 09:14 - skyjake

This may be relatively unimportant from an end user's point of view, but it would be nice for basic MP development, for instance.

#4 - 2015-11-15 17:34 - skyjake

- Target version changed from 2.0 — Home Ul & Packages to Rendering

#5 - 2016-03-27 08:06 - skyjake
- Target version changed from Rendering to 2.1 (Late 2018)

#6 - 2018-07-29 16:56 - skyjake
- Target version changed from 2.1 (Late 2018) to Multiplayer
